#pragma once
#include "Entity.h"
#define CS_FORCEFIELD_CREATENAME L"CS_forcefield"
//力场
class CS_Forcefield :
    public Entity
{
public:
    CS_Forcefield();
    void Step() override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void AttackEffectObject(std::weak_ptr<Entity> target, float centerX, float centerY, int realDamage) override;//攻击后产生的效果物体
};

std::shared_ptr<Entity> CreateCS_Forcefield();